MSWStruct::Table::Cell Struct Reference

the cells definitions in a Microsoft Word Table More...

`#include <MSWStruct.hxx>`

## Public Member Functions

| Cell ()
| constructor More...
void | insert (Cell const &cell)
| update the cell data by merging More...
bool | hasBorders () const
| returns true if the cell has borders More...

## Public Attributes

std::vector< Variable < MWAWBorder > > | m_borders
| the borders TLBR More...
Variable< float > | m_backColor
| the background gray color More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Cell const &cell)
| operator<< More...

## Detailed Description

the cells definitions in a Microsoft Word Table

## Constructor & Destructor Documentation

MSWStruct::Table::Cell::Cell | ( |  | ) |

inline

constructor

## Member Function Documentation

bool MSWStruct::Table::Cell::hasBorders | ( |  | ) | const

inline

returns true if the cell has borders

Referenced by MSWStruct::operator<<().

void MSWStruct::Table::Cell::insert | ( | Cell const & | cell | ) |

inline

update the cell data by merging

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Table::Cell const & | cell
| ) |  |

friend

operator<<

## Member Data Documentation

Variable<float> MSWStruct::Table::Cell::m_backColor

the background gray color

Referenced by insert(), MSWStruct::operator<<(), and MSWText::sendTable().

std::vector<Variable<MWAWBorder> > MSWStruct::Table::Cell::m_borders

the borders TLBR

Referenced by hasBorders(), insert(), MSWStruct::operator<<(), MSWStruct::Table::read(), and MSWText::sendTable().

std::string MSWStruct::Table::Cell::m_extra

extra data

Referenced by insert(), MSWStruct::operator<<(), and MSWStruct::Table::read().

The documentation for this struct was generated from the following file:

- MSWStruct.hxx